## Class AbiTurtle

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          AbiTurtle

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class AbiTurtle

extends javax.swing.JFrame

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) static int` | `barHeight`
`static int` | `black`
`static int` | `blau`
`static int` | `blue`
`(package private) static javax.swing.JButton` | `closeButton`
`static java.awt.Color[]` | `colors`
`(package private) static java.awt.Container` | `container`
`(package private) static int` | `currentHeight`
`(package private) static int` | `currentWidth`
`(package private) static javax.swing.JButton` | `eraseButton`
`(package private) static boolean` | `firstCall`
`(package private) static java.awt.Graphics` | `g`
`static int` | `gelb`
`static int` | `grau`
`static int` | `gray`
`static int` | `green`
`static int` | `gruen`
`static int` | `grün`
`(package private) static java.awt.Graphics` | `gWithoutTurtle`
`(package private) static java.awt.Graphics` | `gWithTurtle`
`static int` | `hellgrau`
`(package private) static java.awt.image.BufferedImage` | `iWithoutTurtle`
`(package private) static java.awt.image.BufferedImage` | `iWithTurtle`
`(package private) static javax.swing.JFrame` | `jFrame`
`static int` | `lightGray`
`(package private) int` | `maxHeight`
`(package private) int` | `maxWidth`
`(package private) static javax.swing.JMenuBar` | `menueBar`
`static int` | `orange`
`static int` | `red`
`(package private) static javax.swing.JButton` | `restoreButton`
`static int[]` | `rgbColor`
`static int` | `rot`
`static int` | `schwarz`
`(package private) static java.util.Vector` | `tList`
`(package private) static int` | `tNumber`
`static int` | `weiss`
`static int` | `weiß`
`static int` | `white`
`static int` | `yellow`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbiTurtle()`
`AbiTurtle(int b, int h)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `clearScreen()` clears the Screen, not the informations about the turtles
`void` | `closeButton_ActionPerformed(java.awt.event.ActionEvent evt)`
`void` | `copyPixel(int x, int y, int xTarget, int yTarget)` Copy of a pixel.
`void` | `drawCircle(double radius)` Draw a circle.
`void` | `drehe(double degree)`
`void` | `dreheNach(double x, double y)`
`void` | `dreheRechts(double degree)`
`void` | `eraseButton_ActionPerformed(java.awt.event.ActionEvent evt)`
`void` | `fillCircle(double radius)` Fills a circle with the current color.
`void` | `fuelleKreis(double r)`
`void` | `gehe(double l)`
`void` | `geheImBogen(double arc, double r)`
`void` | `geheZu(double newX, double newY)`
`int` | `getColor()` get the pencolor
`double` | `getDirection()`
`double` | `getMaxX()`
`double` | `getMaxY()`
`int` | `getPixelColor()`
`double` | `getXPos()`
`double` | `getYPos()`
`void` | `hebeStift()`
`protected void` | `hideFrame()`
`void` | `hideTurtle()` hide the turtle
`int` | `liesFarbe()`
`double` | `liesMaxX()`
`double` | `liesMaxY()`
`int` | `liesPixelFarbe()`
`double` | `liesRichtung()`
`double` | `liesX()`
`double` | `liesY()`
`void` | `move(double steps)` the turtle moves forward in the current direction
`void` | `moveArc(double arcAngle, double radius)` Move along the outline of a circular arc
`void` | `moveTo(double nextX, double nextY)` move to a new position (shortest way)
`void` | `paint(java.awt.Graphics gr)`
`void` | `penDown()` puts the pen down.
`void` | `penUp()` no drawing while moving, because the pen is up
`void` | `plotPixel()` Plots a pixel at the current position in the current color
`void` | `restoreButton_ActionPerformed(java.awt.event.ActionEvent evt)`
`void` | `restoreWindow()`
`void` | `ruhe(int time)`
`void` | `schreibe(java.lang.String s)`
`void` | `senkeStift()`
`void` | `setColor(int c)` color of the pen (and of the turtle)
`void` | `setDirection(double angle)` changes the direction of movement.
`void` | `setDirection(double deltaX, double deltaY)` sets the direction as gradient with deltaX and deltaY
`static void` | `setFilled(boolean filled)`
`void` | `setSpeed(int s)`
`void` | `setzeAufStartpunkt(double sx, double sy)`
`void` | `setzeFarbe(int c)`
`void` | `setzeRichtung(double degree)`
`void` | `setzeRichtung(double deltaX, double deltaY)`
`void` | `setzeTempo(int s)`
`void` | `showTurtle()` show the turtle, the turtle is visible as a triangle
`void` | `sleep(int time)`
`void` | `toStartingPoint(double sx, double sy)` fixing a starting point
`void` | `turn(double angle)` Rotation
`void` | `turnRight(double angle)` Rotation
`void` | `turnTo(double x, double y)` facing to the point (x,y)
`void` | `verstecke()`
`void` | `write(java.lang.String s)` Write a string, beginning at the current Position (horizontal).
`void` | `zeichneKreis(double r)`
`void` | `zeige()`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### barHeight

    static int barHeight

### black

    public static final int black

See Also:
  Constant Field Values

### blau

    public static final int blau

See Also:
  Constant Field Values

### blue

    public static final int blue

See Also:
  Constant Field Values

### closeButton

    static javax.swing.JButton closeButton

### colors

    public static java.awt.Color[] colors

### container

    static java.awt.Container container

### currentHeight

    static int currentHeight

### currentWidth

    static int currentWidth

### eraseButton

    static javax.swing.JButton eraseButton

### firstCall

    static boolean firstCall

### g

    static java.awt.Graphics g

### gelb

    public static final int gelb

See Also:
  Constant Field Values

### grau

    public static final int grau

See Also:
  Constant Field Values

### gray

    public static final int gray

See Also:
  Constant Field Values

### green

    public static final int green

See Also:
  Constant Field Values

### gruen

    public static final int gruen

See Also:
  Constant Field Values

### grün

    public static final int grün

See Also:
  Constant Field Values

### gWithoutTurtle

    static java.awt.Graphics gWithoutTurtle

### gWithTurtle

    static java.awt.Graphics gWithTurtle

### hellgrau

    public static final int hellgrau

See Also:
  Constant Field Values

### iWithoutTurtle

    static java.awt.image.BufferedImage iWithoutTurtle

### iWithTurtle

    static java.awt.image.BufferedImage iWithTurtle

### jFrame

    static javax.swing.JFrame jFrame

### lightGray

    public static final int lightGray

See Also:
  Constant Field Values

### maxHeight

    final int maxHeight

See Also:
  Constant Field Values

### maxWidth

    final int maxWidth

See Also:
  Constant Field Values

### menueBar

    static javax.swing.JMenuBar menueBar

### orange

    public static final int orange

See Also:
  Constant Field Values

### red

    public static final int red

See Also:
  Constant Field Values

### restoreButton

    static javax.swing.JButton restoreButton

### rgbColor

    public static int[] rgbColor

### rot

    public static final int rot

See Also:
  Constant Field Values

### schwarz

    public static final int schwarz

See Also:
  Constant Field Values

### tList

    static final java.util.Vector tList

### tNumber

    static int tNumber

### weiss

    public static final int weiss

See Also:
  Constant Field Values

### weiß

    public static final int weiß

See Also:
  Constant Field Values

### white

    public static final int white

See Also:
  Constant Field Values

### yellow

    public static final int yellow

See Also:
  Constant Field Values

Constructor Detail

### AbiTurtle

    public AbiTurtle()

### AbiTurtle

    public AbiTurtle(int b,
                     int h)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

### clearScreen

    public void clearScreen()

  clears the Screen, not the informations about the turtles

### closeButton_ActionPerformed

    public void closeButton_ActionPerformed(java.awt.event.ActionEvent evt)

### copyPixel

    public void copyPixel(int x,
                          int y,
                          int xTarget,
                          int yTarget)

  Copy of a pixel. The new position of the turtle is P(xTarget, yTarget) Die position of the turtle will be later xTarget, xTarget

  Parameters:
    `x` - x-coordinate of the source
    `y` - y-coordinate of the source
    `xTarget` - x-coordinate of the target
    `yTarget` - y-coordinate of the target

### drawCircle

    public void drawCircle(double radius)

  Draw a circle. The position if the turtle does not change.

  Parameters:
    `radius` - radius of the circle

### drehe

    public void drehe(double degree)

### dreheNach

    public void dreheNach(double x,
                          double y)

### dreheRechts

    public void dreheRechts(double degree)

### eraseButton_ActionPerformed

    public void eraseButton_ActionPerformed(java.awt.event.ActionEvent evt)

### fillCircle

    public void fillCircle(double radius)

  Fills a circle with the current color. No changing of the position.

  Parameters:
    `radius` - radius of the circle.

### fuelleKreis

    public void fuelleKreis(double r)

### gehe

    public void gehe(double l)

### geheImBogen

    public void geheImBogen(double arc,
                            double r)

### geheZu

    public void geheZu(double newX,
                       double newY)

### getColor

    public int getColor()

  get the pencolor

  Returns:
    black=0, green=1, blue=2, yellow=3, red=4, gray=5, lightGrau=6, white=8

### getDirection

    public double getDirection()

  Returns:
    the way our turtle faces; -360 <= direction <= 360

### getMaxX

    public double getMaxX()

  Returns:
    the x-position of the turtle

### getMaxY

    public double getMaxY()

  Returns:
    the height of the window

### getPixelColor

    public int getPixelColor()

  Returns:
    color of the current position as int (0 <= color <= 8)

### getXPos

    public double getXPos()

  Returns:
    the x-position of the turtle

### getYPos

    public double getYPos()

  Returns:
    the width of the window

### hebeStift

    public void hebeStift()

### hideFrame

    protected void hideFrame()

### hideTurtle

    public void hideTurtle()

  hide the turtle

### liesFarbe

    public int liesFarbe()

### liesMaxX

    public double liesMaxX()

### liesMaxY

    public double liesMaxY()

### liesPixelFarbe

    public int liesPixelFarbe()

### liesRichtung

    public double liesRichtung()

### liesX

    public double liesX()

### liesY

    public double liesY()

### move

    public void move(double steps)

  the turtle moves forward in the current direction

### moveArc

    public void moveArc(double arcAngle,
                        double radius)

  Move along the outline of a circular arc

  Parameters:
    `arcAngle` - -360 <= angle <= 360
    `radius` - radius of the circle

### moveTo

    public void moveTo(double nextX,
                       double nextY)

  move to a new position (shortest way)

  Parameters:
    `nextX` - x-coordinate of the new position
    `nextY` - y-coordinate of the new position

### paint

    public void paint(java.awt.Graphics gr)

  Overrides:
    `paint` in class `java.awt.Window`

### penDown

    public void penDown()

  puts the pen down. The turtle draws a line, if it is moving.

### penUp

    public void penUp()

  no drawing while moving, because the pen is up

### plotPixel

    public void plotPixel()

  Plots a pixel at the current position in the current color

### restoreButton_ActionPerformed

    public void restoreButton_ActionPerformed(java.awt.event.ActionEvent evt)

### restoreWindow

    public void restoreWindow()

### ruhe

    public void ruhe(int time)

### schreibe

    public void schreibe(java.lang.String s)

### senkeStift

    public void senkeStift()

### setColor

    public void setColor(int c)

  color of the pen (and of the turtle)

  Parameters:
    `c` - colors: black=0, green=1, blue=2, yellow=3, red=4, gray=5, lightGrau=6, white=8

### setDirection

    public void setDirection(double angle)

  changes the direction of movement.

  Parameters:
    `angle` - -360 <= angle <= 360, 0 = right, 180 = left

### setDirection

    public void setDirection(double deltaX,
                             double deltaY)

  sets the direction as gradient with deltaX and deltaY

### setFilled

    public static void setFilled(boolean filled)

### setSpeed

    public void setSpeed(int s)

  Parameters:
    `s` - 0 <= s <= 10

### setzeAufStartpunkt

    public void setzeAufStartpunkt(double sx,
                                   double sy)

### setzeFarbe

    public void setzeFarbe(int c)

### setzeRichtung

    public void setzeRichtung(double degree)

### setzeRichtung

    public void setzeRichtung(double deltaX,
                              double deltaY)

### setzeTempo

    public void setzeTempo(int s)

### showTurtle

    public void showTurtle()

  show the turtle, the turtle is visible as a triangle

### sleep

    public void sleep(int time)

  Parameters:
    `time` - in milliseconds

### toStartingPoint

    public void toStartingPoint(double sx,
                                double sy)

  fixing a starting point

  Parameters:
    `sx` - x-coordinate
    `sy` - y-coordinate

### turn

    public void turn(double angle)

  Rotation

  Parameters:
    `angle` - -350 <= angle <= 360

### turnRight

    public void turnRight(double angle)

  Rotation

  Parameters:
    `angle` - -350 <= angle <= 360

### turnTo

    public void turnTo(double x,
                       double y)

  facing to the point (x,y)

  Parameters:
    `x` - x-value
    `y` - y-value

### verstecke

    public void verstecke()

### write

    public void write(java.lang.String s)

  Write a string, beginning at the current Position (horizontal). The turtle move back to the begin of the sting

  Parameters:
    `s` - a string

### zeichneKreis

    public void zeichneKreis(double r)

### zeige

    public void zeige()